| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.models.sparkmodelmetadata.sparkModelMetadata Class Reference

Generate spark Model base Class and initialize base members. More...

Inheritance diagram for gdayf.models.sparkmodelmetadata.sparkModelMetadata:
[legend]
Collaboration diagram for gdayf.models.sparkmodelmetadata.sparkModelMetadata:
[legend]

## Public Member Functions
def | __init__ (self, e_c)
| Constructor.
def | generate_models (self, model_type, atype, amode=POC, increment=1)
| Generate spark models This method is used to load config parameters adapting its to specific analysis requirements. More...
Public Member Functions inherited from gdayf.models.modelmetadata.ModelMetadata
def | __init__ (self, e_c)
| Constructor.
def | get_model (self)
| Method use to get the model.
def | get_default (self)
| Method use to get the config on OrderedDict() format.
def | get_copy_model (self)
| Method use to get a copy of model. More...

## Additional Inherited Members
Public Attributes inherited from gdayf.models.modelmetadata.ModelMetadata
| model

## Detailed Description

Generate spark Model base Class and initialize base members.

Definition at line 22 of file sparkmodelmetadata.py.

## Member Function Documentation

## ◆ generate_models()

def gdayf.models.sparkmodelmetadata.sparkModelMetadata.generate_models | ( |  | self,
|  |  | model_type,
|  |  | atype,
|  |  | amode = `POC`,
|  |  | increment = `1`
| ) |  |

Generate spark models This method is used to load config parameters adapting its to specific analysis requirements.

Parameters

  model_type | catalogued spark model
  atype | AtypeMetadata
  amode | Analysis mode. Define early_stopping parameters inclusion
  increment | increment x size

Returns
  spark model json compatible (OrderedDict())

Definition at line 37 of file sparkmodelmetadata.py.

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/models/sparkmodelmetadata.py